#pragma once

enum SocketFrom_e
{
    SF_Client,
    SF_TargetServer,
    SF_MasterServer,
};

enum SocketTag_e
{
    ST_Tcp = 1,
    ST_Udp,
};

enum InnerMesssage_e
{
    IM_ClientSocketDisconnect  = 100,
    IM_PlayerOffline,
    IM_ExecGM,
    IM_UpStreamDisconnect,
    IM_UpStreamConnect,
    IM_HandleRedirect,
};

//网络处理对象
enum NetHandler_e
{
    HID_GCListener,
    HID_MasterMgr,
};

const char* const PROJ_NAME_FMT = "game%d_wsproxy";
const char* const PROJ_ROOT_FMT = "/data/logs/%s";

const int MAX_NODE_ID = 8;
const int MAX_INSTANCE_ID = 500;

const int ALLOC_TARGET_SERVER_SUCCESS_TIMER_EVENT = a8::TIMER_USER_EVENT + 1;
